Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hhhhgggg

Có đoạn lisp cỏn con nhờ sửa mã, Em loay hoay mãi ???

Các bài được khuyến nghị

Lisp đo Di rùi Pick ra Text của bác Tuệ, Em thêm đoạn mã nhập hệ số vào để nhân kết quả với hệ số mà nó lỗi ko chạy,... Em loay hoay mãi nhờ các bác Pro giúp !

CODE

;=============== Di pick=========

(defun c:dii()

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1"\n Chon diem thu hai :"))

(setq kc (rtos(distance po1 po2) 2 2))

 

(if co1 (setq co2 (getreal (strcat "\n he so <" (rtos co1) ">:")))

(setq co1 (getreal "\n he so :" )))

(if co2 (setq co1 co2))

 

(setq giatri (entget (car (entsel "\n Select Text to results: "))))

;(command "luprec" "2")

(setq gia (assoc 1 giatri))

(setq nt1 (cons 1 (rtos (* co1 kc))))

(setq giatri (subst kc gia giatri))

(entmod giatri)

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lisp đo Di rùi Pick ra Text của bác Tuệ, Em thêm đoạn mã nhập hệ số vào để nhân kết quả với hệ số mà nó lỗi ko chạy,... Em loay hoay mãi nhờ các bác Pro giúp !

CODE

;=============== Di pick=========

(defun c:dii()

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1"\n Chon diem thu hai :"))

(setq kc (rtos(distance po1 po2) 2 2))

 

(if co1 (setq co2 (getreal (strcat "\n he so <" (rtos co1) ">:")))

(setq co1 (getreal "\n he so :" )))

(if co2 (setq co1 co2))

 

(setq giatri (entget (car (entsel "\n Select Text to results: "))))

;(command "luprec" "2")

(setq gia (assoc 1 giatri))

(setq nt1 (cons 1 (rtos (* co1 kc))))

(setq giatri (subst kc gia giatri))

(entmod giatri)

(princ)

)

 

Bạn sửa lại như sau:

(defun c:dii ()

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1 "\n Chon diem thu hai :"))

(setq kc (distance po1 po2))

 

(if co1

(setq co2 (getreal (strcat "\n he so <" (rtos co1) ">:")))

(setq co1 (getreal "\n he so :"))

)

(if co2 (setq co1 co2) )

 

(setq giatri (entget (car (entsel "\n Select Text to results: "))))

 

(setq gia (assoc 1 giatri))

(setq nt1 (cons 1 (rtos (* co1 kc) 2 2)))

(setq giatri (subst nt1 gia giatri))

(entmod giatri)

(princ)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn sửa lại như sau:

(defun c:dii ()

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1 "\n Chon diem thu hai :"))

(setq kc (distance po1 po2))

 

(if co1

(setq co2 (getreal (strcat "\n he so <" (rtos co1) ">:")))

(setq co1 (getreal "\n he so :"))

)

(if co2 (setq co1 co2) )

 

(setq giatri (entget (car (entsel "\n Select Text to results: "))))

 

(setq gia (assoc 1 giatri))

(setq nt1 (cons 1 (rtos (* co1 kc) 2 2)))

(setq giatri (subst nt1 gia giatri))

(entmod giatri)

(princ)

)

ok ! cảm ơn bác nhìu nhé !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lisp đo Di rùi Pick ra Text của bác Tuệ, Em thêm đoạn mã nhập hệ số vào để nhân kết quả với hệ số mà nó lỗi ko chạy,... Em loay hoay mãi nhờ các bác Pro giúp !

CODE

;=============== Di pick=========

(defun c:dii()

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1"\n Chon diem thu hai :"))

(setq kc (rtos(distance po1 po2) 2 2))

 

(if co1 (setq co2 (getreal (strcat "\n he so :")))

(setq co1 (getreal "\n he so :" )))

(if co2 (setq co1 co2))

 

(setq giatri (entget (car (entsel "\n Select Text to results: "))))

;(command "luprec" "2")

(setq gia (assoc 1 giatri))

(setq nt1 (cons 1 (rtos (* co1 kc))))

(setq giatri (subst kc gia giatri))

(entmod giatri)

(princ)

)

Sửa lại cho bạn đây :

 

(defun c:dii(/ po1 po2 kc giatri gia nt1)

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1"\n Chon diem thu hai :"))

(setq kc (distance po1 po2))

 

(if (null co1) (setq co1 1))

(setq co2 (getreal (strcat "\n he so :")))

 

(if co2 (setq co1 co2) (setq co2 co1))

 

(setq giatri (entget (car (entsel "\n Select Text to results: "))))

 

(setq gia (assoc 1 giatri))

 

(setq nt1 (cons 1 (rtos (* co1 kc) 2 2)))

 

(setq giatri (subst nt1 gia giatri))

(entmod giatri)

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×